Redmine - Feature #16188

Mark project categories as "inactive
2014-02-27 10:18 - Tobias Fischer

Status: New Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Project settings Estimated time: 0.00 hour

Target version:

Resolution:

Description
It would be nice to have the possibility to mark categories in a project as "inactive".

Deleting is not an option, as the old and closed tickets won't show the category anymore.
Leaving the category as is isn't an option either, as the customers can still add new tickets to this, maybe deprecated, category.

Therefore one should be able to mark a category in a project as "archived" or "inactive" to keep the category name but prevent users
adding new tickets to this category.

Related issues:

Related to Redmine - Feature #21577: The version should get a status archived... New
Related to Redmine - Patch #35946: Mark project categories as "inactive" New
Has duplicate Redmine - Feature #16997: Allow to lock categories Closed
History

#1 - 2014-09-28 03:31 - dj jones

This 10-day old plugin is an attempt to meet this need: and has two users giving it 5-stars already

http://www.redmine.org/plugins/redmine_archive_issue_categories

#2 - 2014-09-28 11:50 - Tobias Fischer

Yes, I'm the plugin author ;-) However, | would rather like to see this implemented in redmine core than having this as a plugin...

#3 - 2014-09-28 13:30 - Lajish Lakshmanan

Tobias Fischer wrote:

Yes, I'm the plugin author ;-) However, | would rather like to see this implemented in redmine core than having this as a plugin...

+1

#4 - 2015-03-19 13:43 - Sepp _

+1

Thanks anyway for the plugin!

#5 - 2015-08-18 13:18 - Robert Korulczyk

+1

Similar: #16997

#6 - 2015-09-09 11:04 - Toshi MARUYAMA
- Related to Feature #16997: Allow to lock categories added

#7 - 2015-09-09 11:05 - Toshi MARUYAMA
- Related to deleted (Feature #16997: Allow to lock categories)

#8 - 2015-09-09 11:06 - Toshi MARUYAMA
http://www.redmine.org/plugins/redmine_archive_issue_categories
https://www.redmine.org/issues/16997

- Has duplicate Feature #16997: Allow to lock categories added

#9 - 2021-08-26 08:31 - Thomas Zauner

This feature would be really useful. In redmine 4.x the old plugin from T. Fischer stopped working (it breaks the context menu styles and entries).
See #35813

Would be nice, if redmine supports disabling old (not to be used) categories.

#10 - 2021-08-29 13:52 - Mischa The Evil
- Related to Feature #21577: The version should get a status archived like projects added

#11 - 2021-09-25 13:45 - Thomas Zauner
- File 2021-09-25-133700-archive_issue_categories.patch added

Hello, based on the outdated plugin | tried to integrate the changes into current git master, tested the Ul with a running server and created some unit
tests.

The plugin was running fine with redmine 3.x, but for redmine 4 the overwritten files had changed so the UX got broken and also the routes needed to
be fixed (since this seems new with redmine 4.x).

I'm not 100% sure if the version in migration is right (6.17?) and if the config/routes.rb is properly since I'm not really into ruby/rails dev (so sorry if this
is not proper coded). | mainly ported the plugin into the source. For me the code worked incl. routing and it provided same functionally than the old
redmine plugin.

Tests were green beside one search test (Must be superuser to create this extension).

If the code/patch needs adaption, please let me know.

Shall | create a new issue, or will this issue be updated to tracker "patch"?

#12 - 2021-10-04 06:55 - Bernhard Rohloff

- Related to Patch #35946: Mark project categories as "inactive" added

Files

2021-09-25-133700-archive_issue_categories.patch 12.2 KB 2021-09-25 Thomas Zauner
